Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 159570 - media-gfx/imagemagick-6.3.2.9 version bump
Summary: media-gfx/imagemagick-6.3.2.9 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Karol Wojtaszek (RETIRED)
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks: 125593
  Show dependency tree
 
Reported: 2006-12-31 06:47 UTC by Michael Siebert
Modified: 2007-04-17 21:47 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
imagemagick-6.3.1.5.ebuild (imagemagick-6.3.1.5.ebuild,2.72 KB, text/plain)
2006-12-31 06:51 UTC, Michael Siebert
Details
imagemagick-6.3.1.7.ebuild (imagemagick-6.3.1.7.ebuild,2.72 KB, text/plain)
2007-01-15 19:56 UTC, Denny Reeh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Siebert 2006-12-31 06:47:25 UTC
There is a new version of imagemagick out! See attachment
Comment 1 Michael Siebert 2006-12-31 06:51:56 UTC
Created attachment 105039 [details]
imagemagick-6.3.1.5.ebuild
Comment 2 André-Sebastian Liebe 2007-01-06 21:31:50 UTC
and again a new version

6.3.1.6 (2006-01-05)
Comment 3 Matti Bickel (RETIRED) gentoo-dev 2007-01-14 10:06:34 UTC
.7 is the one on the mirrors. This doesn't solve the parallel build issue explained in Bug #155804
Comment 4 Denny Reeh 2007-01-15 19:56:14 UTC
Created attachment 107093 [details]
imagemagick-6.3.1.7.ebuild
Comment 5 Anthony Ettinger 2007-02-11 18:06:31 UTC
problem with missing patch file on 6.3.1.7

# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-gfx/imagemagick/imagemagick-6.3.0.5.ebuild,v 1.9 2006/11/27 00:21:10 vapier Exp $

inherit eutils multilib perl-app

MY_PN=ImageMagick
MY_P=${MY_PN}-${PV%.*}
MY_P2=${MY_PN}-${PV%.*}-${PV#*.*.*.}

DESCRIPTION="A collection of tools and libraries for many image formats"
HOMEPAGE="http://www.imagemagick.org/"
SRC_URI="ftp://ftp.imagemagick.org/pub/${MY_PN}/${MY_P2}.tar.bz2"

LICENSE="as-is"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ~ppc-macos ppc64 sh sparc x86 ~x86-fbsd"
IUSE="bzip2 doc fpx graphviz gs jbig jpeg jpeg2k lcms mpeg nocxx perl png tiff truetype X wmf xml zlib"

RDEPEND="bzip2? ( app-arch/bzip2 )
	zlib? ( sys-libs/zlib )
	media-fonts/corefonts
	X? (
		x11-libs/libXext
		x11-libs/libXt
		x11-libs/libICE
		x11-libs/libSM
	)
	gs? ( virtual/ghostscript )
	lcms? ( >=media-libs/lcms-1.06 )
	mpeg? ( >=media-video/mpeg2vidcodec-12 )
	png? ( media-libs/libpng )
	tiff? ( >=media-libs/tiff-3.5.5 )
	xml? ( >=dev-libs/libxml2-2.4.10 )
	truetype? ( =media-libs/freetype-2* )
	wmf? ( >=media-libs/libwmf-0.2.8 )
	jbig? ( media-libs/jbigkit )
	jpeg? ( >=media-libs/jpeg-6b )
	jpeg2k? ( media-libs/jasper )
	perl? ( >=dev-lang/perl-5.8.6-r6 !=dev-lang/perl-5.8.7 )
	!dev-perl/perlmagick
	!sys-apps/compare
	graphviz? ( media-gfx/graphviz )
	fpx? ( media-libs/libfpx )"
DEPEND="${RDEPEND}
	>=sys-apps/sed-4
	>=sys-devel/libtool-1.5.2-r6
	X? ( x11-proto/xextproto )"

S=${WORKDIR}/${MY_P}

src_unpack() {
	unpack ${A}
	cd "${S}"
	chmod +x config.sub
	einfo ${S}
	epatch "${FILESDIR}"/${PN}-6.3.0.5-docs.patch
#	epatch "${FILESDIR}"/imagemagick-perl.patch
}

src_compile() {
	econf \
		--with-threads \
		--with-modules \
		$(use_with perl) \
		--with-gs-font-dir=/usr/share/fonts/default/ghostscript \
		--with-windows-font-dir=/usr/share/fonts/corefonts \
		$(use_with !nocxx magick-plus-plus) \
		$(use_with bzip2 bzlib) \
		$(use_with fpx) \
		$(use_with gs gslib) \
		$(use_with graphviz gvc) \
		$(use_with jbig) \
		$(use_with jpeg jpeg) \
		$(use_with jpeg2k jp2) \
		$(use_with lcms) \
		$(use_with mpeg mpeg2) \
		$(use_with png) \
		$(use_with tiff) \
		$(use_with truetype ttf) \
		$(use_with wmf) \
		$(use_with xml) \
		$(use_with zlib) \
		$(use_with X x) \
		|| die "econf failed"
	emake || die "compile problem"

}

src_install() {
	make DESTDIR="${D}" install || die
	dosed "s:-I/usr/include ::" /usr/bin/Magick{,++}-config

	# dont need these files with runtime plugins
	rm -f "${D}"/usr/$(get_libdir)/*/*/*.{la,a}

	! use doc && rm -r "${D}"/usr/share/doc/${PF}/html
	dodoc NEWS ChangeLog AUTHORS README.txt QuickStart.txt Install-unix.txt

	# Fix perllocal.pod file collision
	use perl && fixlocalpod

}
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2007-02-17 06:19:27 UTC
(In reply to comment #3)
> .7 is the one on the mirrors. This doesn't solve the parallel build issue
> explained in Bug #155804

It never was a parallel build issue in the first place; the separate PerlMagick build system assumes that the new verion of libMagick is installed before building PerlMagick is started, so that it tries to link with whatever is in /usr/lib first. Whether any imagemagick version needs to be patched for that bug could be tested using a simple

   emerge -C imagemagick && emerge imagemagick
Comment 7 Pablo De Nápoli 2007-02-17 19:11:40 UTC
In fact, the is a newer version also: 6.3.2.7
Comment 8 Pablo De Nápoli 2007-02-17 19:14:29 UTC
sorry, is version 6.3.2.6 (released today?)
Comment 9 Pablo De Nápoli 2007-02-18 02:45:27 UTC
I've succeded in compiling the new version by renaming
imagemagick-6.3.1.7.ebuild (second attachment) as
imagemagick-6.3.2.6.ebuild
Comment 10 Anant Narayanan (RETIRED) gentoo-dev 2007-04-17 21:47:05 UTC
6.3.3 now in portage, closing.